List the Motive Cards of your company

Purpose: View a list of all the available Motive Cards for your company. This endpoint allows you to see all of the assigned cards, their statuses, to whom they are assigned, and also the spend control profile of each of the cards.

Further you can also add query parameters as per your requirement which include details such as proximity_based-decline, transaction_requirements, and mobile_based_unlock.


Response Parameters

cards

  • Type: Array of Objects
  • Description: Contains a list of card objects.

id

  • Type: String (UUID)
  • Description: The unique identifier of the card.

last_four_digits

  • Type: String
  • Description: The last four digits of the card number.

display_card_id

  • Type: String
  • Description: A display-friendly identifier for the card.

name_line_1

  • Type: String
  • Description: The first line of the cardholder’s name (e.g., driver name).

name_line_2

  • Type: String
  • Description: The second line of the cardholder’s name (e.g., company name).

status

  • Type: String
  • Description: The current status of the card (e.g., active).

created_at

  • Type: String (DateTime)
  • Description: The timestamp indicating when the card was created.

updated_at

  • Type: String (DateTime)
  • Description: The timestamp indicating when the card information was last updated.

assigned_to

  • Type: Object
  • Description: Information about the entity (e.g., driver) to whom the card is assigned.

entity_type

  • Type: String
  • Description: The type of entity to which the card is assigned (e.g., driver).

entity_id

  • Type: Integer
  • Description: The unique identifier of the assigned entity.

entity_name

  • Type: String
  • Description: The name of the assigned entity.

security_settings

  • Type: Object
  • Description: Security-related settings for the card.

status

  • Type: String
  • Description: The security status of the card (e.g., active).

is_locked

  • Type: Boolean
  • Description: Indicates if the card is currently locked.

unlocked_till

  • Type: String (DateTime) or null
  • Description: The time until which the card remains unlocked, if applicable.

vehicle_proximity_based_decline_settings

  • Type: Boolean
  • Description: Whether vehicle proximity-based declines are enabled or not.

spend_control_profile

  • Type: Object
  • Description: Contains the spending control profile details for the card.

id

  • Type: String (UUID)
  • Description: The unique identifier of the spend control profile.

name

  • Type: String
  • Description: The name of the spend control profile.

is_default

  • Type: Boolean
  • Description: Indicates if this profile is the default profile.

created_at

  • Type: String (DateTime)
  • Description: The timestamp when the profile was created.

updated_at

  • Type: String (DateTime)
  • Description: The timestamp when the profile was last updated.

spend_limits

  • Type: Object
  • Description: Detailed spending limits set within the profile.

daily_limit_in_cents

  • Type: Integer or null
  • Description: The daily spending limit in cents.

weekly_limit_in_cents

  • Type: Integer or null
  • Description: The weekly spending limit in cents.

monthly_limit_in_cents

  • Type: Integer or null
  • Description: The monthly spending limit in cents.

transaction_limit_in_cents

  • Type: Integer or null
  • Description: The per-transaction spending limit in cents.

billing_cycle_spend_limit_in_cents

  • Type: Integer or null
  • Description: The spending limit for the current billing cycle in cents.

daily_withdrawal_limit_in_cents

  • Type: Integer or null
  • Description: The daily withdrawal limit in cents (e.g., at ATMs).

weekly_withdrawal_limit_in_cents

  • Type: Integer or null
  • Description: The weekly withdrawal limit in cents.

atm_withdrawal_enabled

  • Type: Boolean
  • Description: Indicates whether ATM withdrawals are allowed.

enable_days

  • Type: Array of Strings
  • Description: The days of the week when the card can be used (e.g., ["mon", "tue", ...]).

enable_start_time

  • Type: String (Time)
  • Description: The start time (in 24-hour format) from which card usage is enabled.

enable_end_time

  • Type: String (Time)
  • Description: The end time (in 24-hour format) until which card usage is enabled.

created_by

  • Type: Integer or null
  • Description: The ID of the user who created these spend limits.

spend_categories

  • Type: Array of Strings
  • Description: The spending category for this profile (e.g., ["Fuel pump"]).

Query Params
string

Specify the last 4 digits of the card for which you want to view the details such as status, assigned to, and spend profile. NOTE: Only 4 digits are allowed.

status_list
array of strings

Filter the response of the endpoint by specifying the status of the card. Allowed Values:

  • active: Denotes all the active and unlocked cards.
  • active_locked: Denotes all the cards that are active and currently locked.
  • suspended: Denotes all the cards that are currently suspended.
  • unassigned: Denotes all the cards that are currently not assigned to any user.
  • terminated: Denotes all the cards that are deactivated.

status_list
driver_ids[]
array of int32s

Specify the ID of the driver for whom you want to see the information of the Motive Card.

driver_ids[]
vehicle_ids[]
array of int32s

Specify the ID of the vehicle(s), for which you want to see the information of the Motive Cards.

vehicle_ids[]
spend_control_profile_ids
array of strings

Specify the ID of the SPEND CONTROL PROFILE This allows you to view the spend patterns of the drivers.

spend_control_profile_ids
boolean

Mobile based unlock allows you to unlock a locked Motive Card through either SMS or through the Motive Driver App. Specify if you want to view the responses of the endpoint that includes mobile_based_unlock. Allowed Values:

  • TRUE: Displays results that include cards with mobile based unlocking feature.
  • FALSE: Displays results that do not include cards with mobile based unlock feature.

boolean

Proximity based decline is the process of declining card transactions that happen either very far from the vehicle or in an unexpected location based on the current trip. Specify the bool values to filter the response accordingly.

  • TRUE: Include all the cards that have the proximity based decline feature enabled.
  • FALSE: Include cards that have the proximity based decline feature disabled.

string

Transaction requirements allow only authorized drivers or users to input the required details before a transaction. Specify if you want the endpoint response to include cards that have transaction_requirements. Allowed values are:

  • transaction_requirements_enabled
  • transaction_requirements_disabled
.

group_ids[]
array of int32s

Specify the IDs of the group for whom you want to view the Motive Cards.

group_ids[]
int32
Defaults to 25

Specify the number of responses per page.

int32
Defaults to 1

Specify the page number of the given responses.

Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json